<template>
  <lazy-sport-m-popular-match
    v-if="props.data.SelectedStyle.includes('module_popular_match')"
    :tab="props.data.SelectedStyle"
  />
  <lazy-lobby-settings-sports-module-four
    v-else-if="props.data.SelectedStyle.includes('_01')"
    :data="props.data"
    :space-between="8"
    :hoverable="false"
    allow-touch-move
  />
  <lazy-lobby-settings-sports-module-three
    v-else-if="props.data.SelectedStyle.includes('_02')"
    :data="props.data"
  />
</template>

<script lang="ts" setup>
import { ILobbySettingsText } from "~~/models/customizeTheme";

const props = defineProps<{
  data: ILobbySettingsText;
}>();
</script>
